# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit eutils

DESCRIPTION="ARIB STD-B25 test program"
HOMEPAGE="http://www.marumo.ne.jp/db2009_4.htm#19"
SRC_URI="http://www.marumo.ne.jp/junk/arib_std_b25-${PV}.lzh"
RESTRICT="nomirror"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="app-arch/lha
	sys-apps/pcsc-lite
	"
DEPEND="${RDEPEND}
	sys-libs/ncurses
	dev-util/pkgconfig"

MAJOR="0"
MINOR="2"
REVISION="4"
S=${WORKDIR}/src

src_prepare() {

	# CHANGE CRLF to LF
	edos2unix ${S}/*.{c,h}

	# WIN32 to LINUX patch
	epatch ${FILESDIR}/${P}-arib_std_b25.c.patch
	epatch ${FILESDIR}/${P}-b_cas_card.c.patch
	epatch ${FILESDIR}/${P}-portable.h.patch
	epatch ${FILESDIR}/${P}-td.c.patch
	cp ${FILESDIR}/${P}-Makefile ${S}/Makefile
}

src_install() {

	# Install Binaries
	dobin b25 || die "Install failed"

	# Install Liblaries
	newlib.so libarib25.so libarib25.so.${PV} || die "Install failed"
	dosym libarib25.so.${PV} /usr/lib/libarib25.so.${MAJOR} || die "Install failed"
	dosym libarib25.so.${PV} /usr/lib/libarib25.so || die "Install failed"

	# Install Headers
	insinto /usr/include/arib25 || die "Install failed"
	doins arib_std_b25.h b_cas_card.h portable.h || die "Install failed"
}

pkg_postinst() {
	einfo
	elog ""
	elog "Note:"
	elog " If you want to decode MULTI2, insert B-CAS card into"
	elog " your smart card reader and start pcscd service."
	elog ""
	einfo
}
