# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit eutils mercurial autotools linux-mod
#inherit eutils autotools linux-mod

DESCRIPTION="Earthsoft PT1/PT2 Char-Driver & Recording Tool"
HOMEPAGE="http://hg.honeyplanet.jp/pt1/"
SRC_URI=""
#SRC_URI="http://hg.honeyplanet.jp/pt1/archive/tip.tar.bz2"
RESTRICT="nomirror"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="b25 +modules"

RDEPEND="b25? ( media-tv/arib25 )
	"
DEPEND="${RDEPEND}
	sys-libs/ncurses
	dev-util/pkgconfig"

S=${WORKDIR}/pt1

pkg_setup() {
	linux-mod_pkg_setup
	BUILD_PARAMS="KERN_DIR=${KV_DIR} KERNOUT=${KV_OUT_DIR}"
	MODULE_NAMES="pt1_drv(video:${S}/driver:${S}/driver)"
	BUILD_TARGETS="all"
}

src_unpack() {

	mercurial_fetch http://hg.honeyplanet.jp/pt1/
	#unpack ${A}
}

src_prepare() {
	epatch ${FILESDIR}/${P}-recpt1_Makefile.in.patch
	epatch ${FILESDIR}/${P}-recpt1_configure.ac.patch
	cd ${S}/recpt1
	eautoreconf
}

src_configure() {
	cd ${S}/recpt1
	econf $(use_enable b25)
}

src_compile() {

	if use modules; then
		# KERNEL DRIVER to BUILD
		linux-mod_src_compile || die "driver compile failed"
	fi

	# RECPT1 to BUILD
	if use b25 ; then
		einfo
		elog "Now \"b25\" USE flag enabled"
		elog "  recpt1 will compile with b25 support."
		einfo
	fi
	emake -C "${S}/recpt1" || die "recpt1 compile failed"
}

src_install() {

	if use modules; then
		# INSTALL KERNEL MODULE(S)
		linux-mod_src_install || die "driver install failed"

		insinto /etc/udev/rules.d || die "udev/rules install failed"
		doins ${S}/driver/etc/99-pt1.rules || die "udev/rules install failed"
	fi

	# INSTALL RECPT1 BINARIES
	cd ${S}/recpt1
	dobin recpt1 recpt1ctl checksignal || die "recpt1 install failed"

	# INSTALL CHANNEL LIST SAMPLES
	insinto /usr/share/recpt1/channels
	doins ${S}/recpt1/channels/* || die "recpt1 install failed"
}

pkg_postinst() {
	linux-mod_pkg_postinst
	einfo
	elog ""
	elog "New kernel modules were added. When you update"
	elog "kernel, you have to run \"emerge recpt1\" again."
	elog " (or \"emerge module-rebuild\""
	elog "           and run \"module-rebuild rebuild\")"
	elog ""
	einfo
}

pkg_preinst() {
	linux-mod_pkg_preinst
}
